#
#Create Mysql tables used by show_genes.cgi
#
#Copyright (C) 2005  Jim Lund
#---------------------------
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#---------------------------
#Version: 0.001
#
#Last modified:  8-05
#Written by Jim Lund, Department of Biology, University of Kentucky.
#jiml at uky dot edu
#Web site: http://elegans.uky.edu
#

use gl;

DROP TABLE IF EXISTS genes_map;

CREATE TABLE genes_map (gene_cos_name VARCHAR(50) NOT NULL, PRIMARY KEY (gene_cos_name), gene VARCHAR(100), KEY NDX_GENE (gene), chromosome VARCHAR(20), strand INT, bp_start INT, bp_end INT, modified TIMESTAMP);



DROP TABLE IF EXISTS sjj_primers;

CREATE TABLE sjj_primers (gene_name_key int unique not null, primary key (gene_name_key), primerL VARCHAR(30), tm_left int, primerR VARCHAR(30), tm_right int, product_length int, bases_coding int, quality decimal(10,5), modified TIMESTAMP)



DROP TABLE IF EXISTS gene_all_names;

CREATE TABLE gene_all_names (gene_name VARCHAR(30), KEY NDX_GENE_NAME (gene_name),  gene_name_key INTEGER NOT NULL, KEY NDX_GENE_NAME_KEY (gene_name_key), discontinued INTEGER, cosmid_name INTEGER, preferred INTEGER, MODIFIED TIMESTAMP)


DROP TABLE IF EXISTS gene;

CREATE TABLE gene (gene_name_key int not null auto_increment, primary key (gene_name_key), gene_cos_name VARCHAR(30), gene_preferred_short VARCHAR(30), all_names VARCHAR(255), MODIFIED TIMESTAMP)



DROP TABLE IF EXISTS gene_descr;

CREATE TABLE gene_descr (gene_name_key INTEGER NOT NULL, KEY NDX_ID (gene_name_key), proteome_descr TEXT, MODIFIED TIMESTAMP)

